package;
import haxe.PosInfos;
import haxe.io.Eof;
import openfl.Lib;

import haxe.io.BytesOutput;
import com.stencyl.Engine;
import com.stencyl.behavior.Script;
import com.stencyl.behavior.Script.*;
import com.stencyl.behavior.TimedTask;


class TTSFlash
{	
	
	public static var tTSLastSaidId:String = "";

	/**
	*	Close Engine
	*/
	public static function closeEngine():Void
	{
		trace("closeEngine");
	}

	/**
	*	Stop Engine
	*/
	public static function stopEngine():Void
	{
		trace("TTS.stopEngine()");
	}

	/**
	*  Pronounce text
	*/
	public static function sayText(textToSay:String,choice:Int,idString:String="", ?pos : PosInfos):Void
	{
		trace("TTS.sayText " + textToSay + " " + choice + " " + idString);
	}
	
	/**
	 *  String for XSAMPA so that it can be pronounced by TTS
	 */
	public static function adaptedXSAMPAString(s:String):String
	{
		return s;
	}
	
	/**
	 *  Check if supports XSAMPA
	 */
	
	public static function hasXSAMPASupport():Bool
	{
		return false;
	}
	
	/**
	*	TODO check if has TTS engine,if not propose to install
	*/
	public static function checkHasTTS():Void
	{
	}

	/**
	*   Set locale or language of TTS
	*/
	public static function setLanguageLocale(lang_variant:Int,lang:Int,lang_locale:String):Void
		
	{
	}

	/**
	*	Set Pitch of TTS,1 is default
	*/
	public static function setPitch(f:Float):Void
	{
	}

	/*
	*	Set Speech Rate of TTS,1 is default
	*/
	public static function setSpeechRate(f:Float):Void
	{
	}

	/**
	*   Checks if TTS is speaking
	*/
	public static function isSpeaking():Bool
	{
		return false;
	}

	/**
	*	Check all available locale languages for initialised TTS engine
	*/
	public static function getLangAvailable(choice:Int):Array<Dynamic>
	{
		return ["en"];
	}

	/**
	*	Get actual language
	*/
	public static function getLang():String 
	{
		return "en";
	}



	/**
	*	Check all installed engines
	*   
	*/
	public static function getInstalledEngines():Array<Dynamic>
	{
		return [];
	}

	/**
	*	Add Earcon,mapping between string of text and sound file
	*/
	public static function addEarcon(soundName:String,soundPath:String):Void
	{
	}

	/**
	*	Adds earcon to queue
	*/
	public static function playEarcon(soundName:String):Void
	{
	}

	/**
	*
	*/
	public static function synthetiseToFile(text:String,location:Int,folder:String,filename:String):Void
	{
	}

	public function new()
	{
	}



 }
