#ifndef IPHONE
#define IMPLEMENT_API
#endif

#if defined(HX_WINDOWS) || defined(HX_MACOS) || defined(HX_LINUX)
#define NEKO_COMPATIBLE
#endif

#include <hx/CFFI.h>
#include "NativeTest.h"
#include <stdio.h>

//--------------------------------------------------
// Change this to match your extension's ID
//--------------------------------------------------

using namespace ttsAndroid;


#ifdef IPHONE

//--------------------------------------------------
// Glues Haxe to native code.
//--------------------------------------------------

void ios_alert(value title, value message)
{
	showSystemAlert(val_string(title), val_string(message));
}
DEFINE_PRIM(ios_alert, 2);

#endif


void speakWindowsText(value message)
{
	speakText(val_string(message));
}
// second parameter indicates how many arguments are in the call (1 = one argument, ...)
DEFINE_PRIM(Speak, 1);



//--------------------------------------------------
// IGNORE STUFF BELOW THIS LINE
//--------------------------------------------------

extern "C" void nativetest_main() 
{	
}
DEFINE_ENTRY_POINT(nativetest_main);

extern "C" int nativetest_register_prims() 
{ 
    return 0; 
}